cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "John M. Wargo (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CB-3624) CLI installation not doing blackberry check.
Date Thu, 06 Jun 2013 15:13:19 GMT
John M. Wargo created CB-3624:
---------------------------------

             Summary: CLI installation not doing blackberry check.
                 Key: CB-3624
                 URL: https://issues.apache.org/jira/browse/CB-3624
             Project: Apache Cordova
          Issue Type: Bug
          Components: CLI
            Reporter: John M. Wargo
            Assignee: Filip Maj


/usr/local/bin/cordova -> /usr/local/lib/node_modules/cordova/bin/cordova

> cordova@2.8.9 install /usr/local/lib/node_modules/cordova
> node bootstrap.js

WARNING: Your system does not meet requirements to create wp7 projects. See error output below.
/bin/sh: /usr/local/lib/node_modules/cordova/lib/cordova-wp7/bin/check_reqs: Permission denied

SKIPPING wp7 bootstrap.
WARNING: Your system does not meet requirements to create wp8 projects. See error output below.
/bin/sh: /usr/local/lib/node_modules/cordova/lib/cordova-wp8/bin/check_reqs: Permission denied

SKIPPING wp8 bootstrap.
SUCCESS: Minimum requirements for ios met.
BOOTSTRAPPING ios...
SUCCESS: Minimum requirements for android met.
BOOTSTRAPPING android...
SUCCESS: ios ready to rock!
SUCCESS: android ready to rock!
**************************************************************************
* WARNING: YOU ARE INSTALLING GLOBALLY INTO A ROOT-ONLY DIRECTORY!!!1one *
* Your node install is global, so global modules get installed there too.*
* You should probably run the following command for this tool to run:    *
    $ sudo chown -R jwargo /usr/local/lib/node_modules/cordova
* This will allow you to run this tool globally without using `sudo`.    *
**************************************************************************
npm WARN package.json sprintf@0.1.1 No repository field.
npm WARN package.json JSV@4.0.2 No repository field.
npm WARN package.json JSV@4.0.2 'repositories' (plural) Not supported.
npm WARN package.json Please pick one as the 'repository' field
npm WARN package.json github-url-from-git@1.1.1 No repository field.
npm WARN package.json assert-plus@0.1.2 No repository field.
npm WARN package.json ctype@0.5.2 No repository field.
cordova@2.8.9 /usr/local/lib/node_modules/cordova
├── ncallbacks@1.0.0
├── colors@0.6.0-1
├── semver@1.1.0
├── open@0.0.3
├── shelljs@0.1.2
├── elementtree@0.1.3 (sax@0.3.5)
├── request@2.11.4
├── xcode@0.5.1 (node-uuid@1.3.3, pegjs@0.6.2)
├── prompt@0.2.7 (revalidator@0.1.5, pkginfo@0.3.0, read@1.0.4, utile@0.1.7, winston@0.6.2)
├── express@3.0.6 (methods@0.0.1, fresh@0.1.0, range-parser@0.0.4, buffer-crc32@0.1.1,
cookie@0.0.5, cookie-signature@0.0.1, commander@0.6.1, debug@0.7.2, mkdirp@0.3.3, send@0.1.0,
connect@2.7.2)
├── ripple-emulator@0.9.17 (connect-xcors@0.5.2, accounting@0.3.2, request@2.12.0, moment@1.7.2,
express@3.1.0)
├── plist@0.4.3 (xmlbuilder@0.4.2, xmldom@0.1.16)
└── plugman@0.7.9 (ncallbacks@1.1.0, osenv@0.0.3, bplist-parser@0.0.4, underscore@1.4.4,
xcode@0.6.0, nopt@1.0.10, dep-graph@1.1.0, glob@3.2.1)

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message